### Function

# Ggit Repository open

#### Declaration [src]

    GgitRepository*
    ggit_repository_open (
      GFile* location,
      GError** error
    )

#### Description [src]

Open a git repository.

The `path` must point to an existing git repository folder, e.g.

    /path/to/my_repo/.git/  (normal repository)
                        objects/
                        index
                        HEAD

    /path/to/bare_repo/     (bare repository)
                    objects/
                    index
                    HEAD

The method will automatically detect if `path` is a normal or bare repository or fail if it is neither.

#### Parameters

`location`

  Type: `GFile`

  The location of the repository.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitRepository`

A newly created `GgitRepository`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.